$(function() {
	var isDark = false
	var $logo = $('.js-dropdown-logo')
	var logoUrl = $logo.attr('src')
	var $header = $('.js-header')
	var $headerCta = $('.js-header-cta')
	var $dropdownDeskBox = $('.js-dropdown-desk-box')
	var $dropdownDeskToggle = $('.js-dropdown-desk-toggle')

	function scrollHeader() {
		var top = $(window).scrollTop()

		if (top >= 50) {
			$header.addClass('is-collapsed')

			if (isDark) {
				$logo.attr('src', logoUrl.replace('-white', ''))
				$headerCta.removeClass('--secondary-light').addClass('--header-cta')
			}
		} else {
			$header.removeClass('is-collapsed')

			if (isDark) {
				$logo.attr('src', logoUrl)
				$headerCta.removeClass('--secondary-light').addClass('--secondary-light')
			}
		}
	}

	function resetMenu() {
		$dropdownDeskBox.hide()
		$header.removeClass('is-over')

		if (isDark && !$header.hasClass('is-collapsed')) {
			$logo.attr('src', logoUrl)
			$headerCta.removeClass('--secondary-light').addClass('--secondary-light')
			$header.addClass('--dark')
		}
	}

	if ($header.hasClass('--dark')) {
		isDark = true
	}

	$dropdownDeskToggle.on('click', function(e) {
		e.preventDefault()
	})

	$('.c-header__menu li a').on('mouseover', function() {
		resetMenu()
	})

	$dropdownDeskToggle.on('mouseover', function() {
		var menuId = $(this).attr('href')

		$dropdownDeskBox.hide()
		$(menuId).show()
		$header.addClass('is-over')

		if (isDark && !$header.hasClass('is-collapsed')) {
			$logo.attr('src', logoUrl.replace('-white', ''))
			$headerCta.removeClass('--secondary-light').addClass('--header-cta')
			$header.removeClass('--dark')
		}
	})

	$dropdownDeskBox.on('mouseleave', function() {
		resetMenu()
	})

	$('.js-language-toggle').on('click', function() {
		$('.js-language-box').toggle()
	})

	$(window).scroll(function() {
		scrollHeader()
	})

	scrollHeader()
})
